# average together pairwise similairity ratings where the user rated the same pair

import csv
import json
import numpy as np

ratings = dict()

for line in csv.DictReader(open("../data files/SWCPQ-Similarity-Survey-Dataset-July2022.csv"), delimiter="\t"):
    if line["survey_ratings"] == "":
        continue
    
    for x in json.loads(line["survey_ratings"]):
        if x[3] < 2000 or x[2] < 1: # remove to fast or no answer
            continue

        pairid = "-".join(sorted([x[0],x[1]])) # the pair could be rated in either direction, make them the same

        if pairid not in ratings:
            ratings[pairid] = []
        ratings[pairid].append(x[2])


with open("paired-similarity-scores.csv", "w") as of:
    of.write("PAIRID\tSCORE\tN\n")
    for r in ratings:
        of.write(r+"\t"+str(np.mean(ratings[r]))+"\t"+str(len(ratings[r]))+"\n")
