<?php

class characters_pairsimilarity
{
	public $surveyid = "characters_pairsimilarity";

	function ReadyToShow()
	{
		$url = 'http://' . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];

		return strpos($url,'characters') !== false;
	}
	
	function GetMinutesRequired()
	{
		return "3-5";
	}

	function GetMarkup()
	{
		return <<<SURVEYHTML

<script src="https://openpsychometrics.org/tests/characters/test-resources/key.js"></script>
<script type="text/javascript">

var pool1 = {
"HP" : [1,2,3,4,5,30,7,6,10,9],
"FN" : [1,2,3],
"LK" : [1,2,3],
"AL" : [1,2,3],
"MG" : [1,2,3,5,6,8],
"T": [1,2,3,4,5,6],
"S": [1,2,3,4,5,6],
"SNW" : [1,2,3],
"SW": [1,2,3,4,5,6],
"UA": [1,2,3,4,5,6],
"TT" : [1,2,3],
"HSM" : [1,2,3],
"HIMYM": [1,2,3,4,5],
"RJ" : [1,2,3],
"TPB" : [1,2,3],
"MF": [1,2,3,4,5,6],
"GLEE": [1,2,3,4,5,6],
"FG" : [1,2],
"QG" : [1],
"HAM": [1,2,3,4,5,6],
"CM": [1,2,3,4,5,6],

};

var pool2 = {
"SK" : [1,2,3],
"MCU" : [1,2,3,4,5,6,7,8,9,10],
"ST" : [1,2,3,4,5,6],
"TS" : [1,2,3],
"WWCF" : [1,2,3],
"HG": [1,2,3,4,5,6],
"LS" : [1,2,3],
"SQG": [1,2,3,4,5,6],
"TO" : [1,2,3,4,5,6,7,8,9,10],
"SE": [1,2,3,4,5,6],
"WO" : [1,2,3],
"RM" : [1,2,3],
"PBWF" : [1,2,3],
"TIHAY" : [1,2,3],
"RD": [1,2,3,4,5,6],
"BBT": [1,2,3,4,5,6],
"T7S": [1,2,3,4,5,6],
"VD": [1,2,3,4,5,6],
"BTF" : [1,2,3],
"BOBB": [1,2,3,4,5],
"GOG": [1,2,3,4,5,6],

};

var pool3 = {
"FR" : [1,2,3,4,5],
"BATB" : [1,2,3],
"TLM" : [1,2,3],
"RAT" : [1,2,3],
"MU" : [1,2,3],
"F": [1,2,3,4,5,6],
"ALA": [1,2,3,5,6,7], 
"B99": [1,2,3,4,5,6],
"PC": [1,2,3,4,5,6],
"GP": [1,2,3,4,5,6],
"TS" : [1,2,3],
"SL" : [1,2,3],
"GOT" : [1,2,3,4,5,6,7,8,9,10],
"BC": [1,2,3,4,5,6],
"LOTR": [1,2,3,4,5,6],
"NG" : [1,2,3,4,5],
"EU": [1,2,3,4,5,6],
"DIV" : [1,2,3],
"XM" : [1,2,3,4,5,6,7,8,9,10],
"PR": [1,2,3,4,5,6],
"T7S": [1,2,3,4,5,6],
"LW": [1,2,3,4,5,6],

};

var pool4 = {

"GOT" : [1,2,3,4,5,6,7,8,9,10],
"MCU" : [1,2,3,4,5,6,7,8,9,10],
"HP" : [1,2,3,4,5,30,7,6,10,9],
"FOS" : [1,2],
"YOU" : [1,2,3],
"MLP": [1,2,3,4,5,6],
"PK": [1,2,3,4,5],
"GG" : [1,2,3],
"SU" : [1,2,3],
"GA": [1,2,3,4,5],
"LU": [1,2,3,4,5,6],
"GILG" : [1,2,3],
"TN" : [1,2,3],
"CAS": [1,2,3,4,5],
"DK": [1,2,3,4,5],
"JP": [1,2,3,4,5,6],
"SHL": [1,2,3,4,5,6],
"OUT": [1,2,3,4,5],
"NRT": [1,2,3,4,5],
"PP": [1,2,3,4,5],

};

var everythingpool = {
"MLP" :  [1, 2, 3, 4, 5, 6] ,
"NCIS" :  [1, 2, 3, 4, 5, 6] ,
"WE" :  [1, 2, 3, 4, 5] ,
"WD" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"WC" :  [1, 2, 3, 4, 5, 6] ,
"BB" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"BC" :  [1, 2, 3, 4, 5, 6] ,
"WO" :  [1, 2, 3, 4, 5, 6] ,
"TIU" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"JV" :  [1, 2, 3, 4, 5, 6] ,
"JW" :  [1] ,
"JP" :  [1, 2, 3, 4, 5, 6] ,
"BI" :  [1, 2, 3] ,
"TS" :  [1, 2, 3, 4, 5, 6] ,
"WW" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"WV" :  [1, 2, 3] ,
"HNB" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"EXP" :  [1, 2, 3, 4, 5, 6] ,
"BS" :  [1, 2, 3] ,
"JE" :  [1, 2] ,
"BOB" :  [1, 2, 3, 4, 5, 6] ,
"FNL" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"SITR" :  [1, 2, 3] ,
"SsC" :  [1, 2, 3, 4, 5, 6] ,
"PKB" :  [1, 2, 3, 4, 5, 6] ,
"LBT" :  [1, 2, 3, 4, 5] ,
"LW" :  [1, 2, 3, 4, 5, 6] ,
"SWLJ" :  [1, 2, 3, 4, 5, 6] ,
"FSG" :  [1, 2] ,
"MONH" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"HSM" :  [1, 2, 3, 4, 5, 6] ,
"RD" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"BL" :  [1, 2, 3] ,
"RAT" :  [1, 2, 3] ,
"LU" :  [1, 2, 3, 4, 5, 6] ,
"WT" :  [1, 2, 3, 4, 5, 6] ,
"SCDL" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"BM" :  [1, 2] ,
"TDPT" :  [1, 2, 3, 4, 5, 6] ,
"RM" :  [1, 2, 3] ,
"RO" :  [1, 2] ,
"RH" :  [1, 2, 3, 4, 5, 6] ,
"RJ" :  [1, 2, 3, 4, 5, 6] ,
"JUW" :  [1, 2] ,
"F451" :  [1, 2, 3] ,
"NGE" :  [1, 2, 3, 4, 5, 6] ,
"D" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"GP" :  [1, 2, 3, 4, 5, 6] ,
"BWF" :  [1] ,
"H" :  [1, 2, 3, 4, 5, 6] ,
"J" :  [1, 2, 3] ,
"LLL" :  [1, 2] ,
"L" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"ELM" :  [1, 2, 3] ,
"GONEG" :  [1, 2, 3] ,
"GG" :  [1, 2, 3, 4, 5, 6] ,
"T100" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"THM" :  [1, 2, 3, 4, 5, 6] ,
"T" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"GA" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"GO" :  [1, 2, 3, 4, 5, 6] ,
"AHF" :  [1, 2] ,
"SVU" :  [1, 2, 3, 4, 5, 6] ,
"BW" :  [1, 2, 3, 4, 5, 6] ,
"WWCF" :  [1, 2, 3] ,
"BVS" :  [1, 2, 3, 4, 5, 6] ,
"DARK" :  [1, 2, 3, 4, 5, 6] ,
"MH" :  [1, 2, 3] ,
"OL" :  [1, 2, 3] ,
"CM" :  [1, 2, 3, 4, 5, 6] ,
"O11" :  [1, 2, 3, 4, 5, 6] ,
"ASNP" :  [1, 2] ,
"OD" :  [1, 2, 3] ,
"OB" :  [1, 2, 3, 4, 5, 6] ,
"OA" :  [1, 2, 3, 4, 5] ,
"PYW" :  [1, 2] ,
"T7S" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"DHSAB" :  [1, 2, 3] ,
"SBSP" :  [1, 2, 3, 4, 5] ,
"CXG" :  [1, 2, 3, 4, 5, 6] ,
"AHX" :  [1, 2, 3] ,
"MOR" :  [1, 2] ,
"SQG" :  [1, 2, 3, 4, 5, 6] ,
"RHD" :  [1, 2] ,
"EP" :  [1, 2, 3, 4, 5, 6] ,
"TTC" :  [1, 2, 3] ,
"EM" :  [1, 2, 3] ,
"TSL" :  [1, 2, 3] ,
"BATB" :  [1, 2, 3, 4, 5, 6] ,
"GF" :  [1, 2, 3, 4, 5, 6] ,
"RLA" :  [1, 2, 3, 4, 5, 6] ,
"HP" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30] ,
"FBDO" :  [1, 2, 3] ,
"SDB" :  [1, 2, 3, 4, 5, 6] ,
"HT" :  [1, 2, 3, 4, 5] ,
"CRA" :  [1, 2, 3, 4, 5, 6] ,
"AoS" :  [1, 2, 3, 4, 5, 6] ,
"HO" :  [1, 2, 3] ,
"LKY" :  [1, 2, 3] ,
"E" :  [1, 2] ,
"ST" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"HG" :  [1, 2, 3, 4, 5, 6] ,
"SWRS" :  [1, 2, 3, 4, 5, 6] ,
"PR" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"SCL" :  [1] ,
"PP" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"BDC" :  [1, 2, 3] ,
"DS9" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"TANG" :  [1, 2] ,
"STIG" :  [1, 2, 3, 4, 5] ,
"FOS" :  [1, 2] ,
"MNT" :  [1, 2, 3, 4, 5, 6] ,
"PB" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"PC" :  [1, 2, 3, 4, 5, 6] ,
"SNW" :  [1, 2, 3] ,
"PA" :  [1, 2] ,
"PF" :  [1, 2, 3, 4, 5, 6] ,
"JB" :  [1, 2, 3] ,
"HUS" :  [1, 2, 3] ,
"CMYC" :  [1, 2] ,
"PK" :  [1, 2, 3, 4, 5] ,
"HML" :  [1, 2, 3, 4, 5, 6] ,
"GOG" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"ER" :  [1, 2, 3, 4, 5, 6] ,
"SN" :  [1, 2, 3, 4, 5, 6] ,
"ZL" :  [1, 2, 3] ,
"PBWF" :  [1, 2, 3] ,
"C" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"HGU" :  [1, 2] ,
"CSI" :  [1, 2, 3, 4, 5, 6] ,
"G" :  [1, 2, 3, 4, 5, 6] ,
"SHW" :  [1, 2] ,
"T2" :  [1, 2, 3] ,
"EG" :  [1, 2, 3, 4, 5, 6] ,
"PYO" :  [1, 2, 3] ,
"SLP" :  [1, 2] ,
"BOBB" :  [1, 2, 3, 4, 5] ,
"O" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"MHC" :  [1, 2, 3] ,
"LMO" :  [1, 2] ,
"DAM" :  [1, 2, 3] ,
"S" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"ENT" :  [1, 2, 3, 4, 5] ,
"BKSM" :  [1, 2] ,
"BDS" :  [1, 2, 3, 4, 5] ,
"EU" :  [1, 2, 3, 4, 5, 6] ,
"DVC" :  [1, 2, 3] ,
"SLS" :  [1, 2] ,
"SHL" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"TRT" :  [1, 2, 3] ,
"BLB" :  [1, 2, 3, 4, 5, 6] ,
"WHMS" :  [1, 2] ,
"MG" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"MF" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"BLL" :  [1, 2, 3, 4, 5, 6] ,
"MM" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"SG" :  [1, 2, 3, 4, 5, 6] ,
"FB" :  [1, 2, 3] ,
"GLEE" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"MI" :  [1, 2, 3] ,
"TNG" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"MAL" :  [1] ,
"OFOCN" :  [1, 2, 3, 4, 5, 6] ,
"CBP" :  [1, 2, 3, 4, 5, 6] ,
"BTF" :  [1, 2, 3] ,
"SCRUBS" :  [1, 2, 3, 4, 5, 6] ,
"MR" :  [1, 2, 3, 4, 5, 6] ,
"GRB" :  [1, 2] ,
"GHD" :  [1, 2] ,
"UA" :  [1, 2, 3, 4, 5, 6] ,
"P" :  [1, 2, 3, 4, 5, 6] ,
"SSB" :  [1, 2, 3, 4, 5] ,
"FR" :  [1, 2, 3, 4, 5] ,
"FS" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"SUC" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"B99" :  [1, 2, 3, 4, 5, 6] ,
"TBS" :  [1, 2] ,
"SMV" :  [1, 2, 3, 4, 5, 6] ,
"S7" :  [1, 2, 3] ,
"GWH" :  [1, 2, 3] ,
"TRNF" :  [1, 2, 3, 4, 5] ,
"AML" :  [1, 2] ,
"GWW" :  [1, 2, 3, 4, 5, 6] ,
"FC" :  [1, 2, 3] ,
"SUE" :  [1, 2, 3] ,
"FF" :  [1, 2, 3, 4, 5, 6] ,
"FG" :  [1, 2, 3] ,
"AFTL" :  [1, 2, 3, 4, 5, 6] ,
"NG" :  [1, 2, 3, 4, 5] ,
"FL" :  [1, 2, 3, 4, 5, 6] ,
"NES" :  [1, 2, 3, 4, 5] ,
"FN" :  [1, 2, 3] ,
"BCS" :  [1, 2, 3, 4, 5, 6] ,
"HIMYM" :  [1, 2, 3, 4, 5] ,
"ASP" :  [1, 2, 3, 4, 5] ,
"NL" :  [1] ,
"BSU" :  [1, 2] ,
"CCBB" :  [1, 2] ,
"DGI" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"MASH" :  [1, 2, 3, 4, 5, 6] ,
"ASB" :  [1, 2] ,
"PSY" :  [1, 2, 3, 4, 5, 6] ,
"COCO" :  [1, 2, 3, 4, 5] ,
"TINC" :  [1, 2, 3, 4, 5] ,
"BSG" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"TWN" :  [1, 2, 3, 4, 5] ,
"FAB" :  [1, 2, 3, 4, 5, 6] ,
"BD" :  [1, 2, 3] ,
"OUT" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"CK" :  [1, 2, 3, 4, 5, 6] ,
"HGAWM" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"B" :  [1, 2, 3, 4, 5] ,
"STV" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"SPN" :  [1, 2] ,
"CSTL" :  [1, 2, 3, 4, 5, 6] ,
"F" :  [1, 2, 3, 4, 5, 6] ,
"GTH" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"CB" :  [1, 2, 3] ,
"TWCH" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"GILG" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"XF" :  [1, 2, 3] ,
"SOP" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"DUNE" :  [1, 2, 3, 4, 5, 6] ,
"XM" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"NP" :  [1, 2] ,
"DIEH" :  [1, 2, 3] ,
"R" :  [1, 2, 3, 4, 5, 6] ,
"BDB" :  [1, 2] ,
"V" :  [1, 2, 3, 4, 5, 6] ,
"MD" :  [1, 2] ,
"BBT" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"ESSM" :  [1, 2, 3] ,
"CTHD" :  [1, 2, 3] ,
"TLM" :  [1, 2, 3] ,
"MMM" :  [1, 2, 3, 4, 5] ,
"KE" :  [1, 2, 3, 4, 5, 6] ,
"LEGO" :  [1, 2, 3, 4, 5] ,
"SS" :  [1, 2, 3, 4, 5, 6] ,
"SR" :  [1, 2, 3, 4, 5, 6] ,
"SP" :  [1, 2, 3, 4, 5] ,
"SW" :  [1, 2, 3, 4, 5, 6] ,
"SV" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"SU" :  [1, 2, 3] ,
"ALA" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"SK" :  [1, 2, 3] ,
"PLF" :  [1, 2] ,
"GBU" :  [1, 2, 3] ,
"MMI" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"SPF" :  [1, 2, 3, 4, 5, 6] ,
"SM" :  [1, 2, 3, 4, 5, 6] ,
"SL" :  [1, 2, 3, 4, 5, 6] ,
"SC" :  [1, 2, 3, 4, 5, 6] ,
"SB" :  [1, 2, 3, 4, 5, 6] ,
"SA" :  [1, 2, 3, 4, 5] ,
"PLL" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"SPEED" :  [1, 2, 3] ,
"SF" :  [1, 2, 3, 4, 5, 6] ,
"SE" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"SD" :  [1, 2, 3] ,
"DN" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"YJ" :  [1, 2, 3, 4, 5, 6] ,
"DK" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"DH" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"BLKL" :  [1, 2, 3, 4, 5, 6] ,
"CAS" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"DD" :  [1, 2] ,
"UKS" :  [1, 2, 3, 4, 5] ,
"DA" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"TIHAY" :  [1, 2, 3, 4, 5, 6] ,
"WSS" :  [1, 2, 3, 4, 5] ,
"CH" :  [1, 2, 3, 4, 5] ,
"TKAM" :  [1] ,
"FUTR" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"WSW" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"DQ" :  [1, 2] ,
"DIV" :  [1, 2, 3] ,
"MMFR" :  [1, 2, 3] ,
"ARCH" :  [1, 2, 3, 4, 5, 6] ,
"DS" :  [1, 2] ,
"HAM" :  [1, 2, 3, 4, 5, 6] ,
"NEF" :  [1, 2, 3] ,
"MU" :  [1, 2, 3, 4, 5, 6] ,
"MRSD" :  [1] ,
"TGW" :  [1, 2, 3, 4, 5, 6] ,
"ONB" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"TW" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30] ,
"TT" :  [1, 2, 3] ,
"LM" :  [1, 2, 3, 4, 5] ,
"LK" :  [1, 2, 3, 4, 5, 6] ,
"TP" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"M8" :  [1] ,
"TN" :  [1, 2, 3] ,
"TO" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"TL" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"TM" :  [1] ,
"LS" :  [1, 2, 3, 4, 5, 6] ,
"TGD" :  [1, 2, 3, 4, 5, 6] ,
"TF" :  [1, 2, 3] ,
"TD" :  [1, 2, 3] ,
"CAD" :  [1, 2, 3] ,
"TB" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"TC" :  [1, 2] ,
"TA" :  [1, 2, 3, 4, 5] ,
"A" :  [1, 2, 3, 4, 5, 6] ,
"DWP" :  [1, 2, 3] ,
"AB" :  [1] ,
"VD" :  [1, 2, 3, 4, 5, 6] ,
"AD" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"SG1" :  [1, 2, 3, 4, 5, 6] ,
"AH" :  [1, 2] ,
"AK" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"VK" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"M" :  [1, 2, 3, 4, 5, 6] ,
"AL" :  [1, 2, 3] ,
"CF" :  [1, 2, 3, 4, 5, 6] ,
"TND" :  [1, 2, 3] ,
"AS" :  [1, 2, 3, 4, 5, 6] ,
"AT" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"BT" :  [1, 2] ,
"OPM" :  [1, 2, 3] ,
"Y" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"GOT" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30] ,
"YOU" :  [1, 2, 3] ,
"ID" :  [1, 2, 3] ,
"GLAD" :  [1, 2, 3] ,
"R30" :  [1, 2, 3, 4, 5, 6] ,
"TPB" :  [1, 2, 3, 4, 5] ,
"SUI" :  [1, 2, 3, 4, 5, 6] ,
"I" :  [1, 2, 3, 4, 5, 6] ,
"ARW" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"S8" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"RS" :  [1, 2] ,
"MCB" :  [1, 2] ,
"CITW" :  [1, 2, 3, 4, 5, 6] ,
"FAR" :  [1, 2, 3, 4, 5, 6] ,
"ARC" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"QG" :  [1] ,
"LOTR" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10] ,
"MCU" :  [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15] ,
"NRT" :  [1, 2, 3, 4, 5] ,
"GB" :  [1, 2, 3, 4, 5]
};

var pool10 = {
"HP":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30],
"SK":[1,2,3],
"FR":[1,2,3,4,5],
"FN":[1,2,3],
"MCU":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15],
"BATB":[1,2,3,4,5,6],
"SBSP":[1,2,3,4,5],
"LK":[1,2,3,4,5,6],
"TLM":[1,2,3],
"ST":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15],
"TS":[1,2,3,4,5,6],
"TINC":[1,2,3,4,5],
"AL":[1,2,3],
"TANG":[1,2],
"MI":[1,2,3],
"RAT":[1,2,3],
"MG":[1,2,3,4,5,6,7,8,9,10],
"WWCF":[1,2,3],
"MU":[1,2,3,4,5,6],
"F":[1,2,3,4,5,6],
"HG":[1,2,3,4,5,6],
"ALA":[1,2,3,4,5,6,7,8,9,10],
"T":[1,2,3,4,5,6,7,8,9,10],
"LS":[1,2,3,4,5,6],
"S":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15],
"B99":[1,2,3,4,5,6],
"SNW":[1,2,3],
"SW":[1,2,3,4,5,6],
"SQG":[1,2,3,4,5,6],
"PC":[1,2,3,4,5,6],
"TO":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15],
"UA":[1,2,3,4,5,6],
"WV":[1,2,3],
"SE":[1,2,3,4,5,6,7,8,9,10],
"MAL":[1],
"GP":[1,2,3,4,5,6],
"TT":[1,2,3],
"WO":[1,2,3,4,5,6],
"SL":[1,2,3,4,5,6],
"DN":[1,2,3,4,5,6,7,8,9,10],
"HSM":[1,2,3,4,5,6],
"RM":[1,2,3],
"GOT":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30],
"HIMYM":[1,2,3,4,5],
"PBWF":[1,2,3],
"RJ":[1,2,3,4,5,6],
"BC":[1,2,3,4,5,6],
"LOTR":[1,2,3,4,5,6,7,8,9,10],
"COCO":[1,2,3,4,5],
"TIHAY":[1,2,3,4,5,6],
"TPB":[1,2,3,4,5],
"BBT":[1,2,3,4,5,6,7,8,9,10],
"NG":[1,2,3,4,5],
"MF":[1,2,3,4,5,6,7,8,9,10],
"RD":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15],
"EU":[1,2,3,4,5,6],
"QG":[1],
"GLEE":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15],
"DIV":[1,2,3],
"FG":[1,2,3],
"T7S":[1,2,3,4,5,6,7,8,9,10],
"XM":[1,2,3,4,5,6,7,8,9,10],
"BTF":[1,2,3],
"BOBB":[1,2,3,4,5],
"PR":[1,2,3,4,5,6,7,8,9,10],
"HAM":[1,2,3,4,5,6],
"VD":[1,2,3,4,5,6],
"DWP":[1,2,3],
"CM":[1,2,3,4,5,6],
"PK":[1,2,3,4,5],
"FOS":[1,2],
"LW":[1,2,3,4,5,6],
"YOU":[1,2,3],
"GOG":[1,2,3,4,5,6,7,8,9,10],
"MLP":[1,2,3,4,5,6],
"GG":[1,2,3,4,5,6],
"SU":[1,2,3],
"SWLJ":[1,2,3,4,5,6],
"GA":[1,2,3,4,5,6,7,8,9,10],
"LU":[1,2,3,4,5,6],
"SWRS":[1,2,3,4,5,6],
"MMI":[1,2,3,4,5,6,7,8,9,10],
"AT":[1,2,3,4,5,6,7,8,9,10],
"DK":[1,2,3,4,5,6,7,8,9,10],
"TN":[1,2,3],
"SUE":[1,2,3],
"GILG":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15],
"CAS":[1,2,3,4,5,6,7,8,9,10],
"NRT":[1,2,3,4,5],
"JP":[1,2,3,4,5,6],
"PP":[1,2,3,4,5,6,7,8,9,10],
"TWCH":[1,2,3,4,5,6,7,8,9,10],
"RO":[1,2],
"LEGO":[1,2,3,4,5],
"SHL":[1,2,3,4,5,6,7,8,9,10],
"FUTR":[1,2,3,4,5,6,7,8,9,10],
"OUT":[1,2,3,4,5,6,7,8,9,10],
"ARC":[1,2,3,4,5,6,7,8,9,10],
"ONB":[1,2,3,4,5,6,7,8,9,10],
"FBDO":[1,2,3],
"ZL":[1,2,3],
"JV":[1,2,3,4,5,6],
"BB":[1,2,3,4,5,6,7,8,9,10],
"PF":[1,2,3,4,5,6],
"PLL":[1,2,3,4,5,6,7,8,9,10],
"P":[1,2,3,4,5,6],
"LM":[1,2,3,4,5],
"WD":[1,2,3,4,5,6,7,8,9,10],
"FSG":[1,2],
"GO":[1,2,3,4,5,6],
"OB":[1,2,3,4,5,6],
"FL":[1,2,3,4,5,6],
"TSL":[1,2,3],
"LLL":[1,2],
"SP":[1,2,3,4,5],
"JB":[1,2,3],
"C":[1,2,3,4,5,6,7,8,9,10],
"M":[1,2,3,4,5,6],
"T100":[1,2,3,4,5,6,7,8,9,10],
"CRA":[1,2,3,4,5,6],
"TKAM":[1],
"FAB":[1,2,3,4,5,6],
"FC":[1,2,3],
"GONEG":[1,2,3],
"JUW":[1,2],
"RH":[1,2,3,4,5,6],
"FF":[1,2,3,4,5,6],
"UKS":[1,2,3,4,5],
"HNB":[1,2,3,4,5,6,7,8,9,10],
"ESSM":[1,2,3],
"BD":[1,2,3],
"I":[1,2,3,4,5,6],
"GB":[1,2,3,4,5],
"DD":[1,2],
"THM":[1,2,3,4,5,6],
"HGAWM":[1,2,3,4,5,6,7,8,9,10],
"OPM":[1,2,3],
"ASP":[1,2,3,4,5],
"JW":[1],
"NGE":[1,2,3,4,5,6],
"SM":[1,2,3,4,5,6],
"LBT":[1,2,3,4,5],
"H":[1,2,3,4,5,6],
"MONH":[1,2,3,4,5,6,7,8,9,10],
"AD":[1,2,3,4,5,6,7,8,9,10],
"BS":[1,2,3],
"SC":[1,2,3,4,5,6],
"MCB":[1,2],
"HO":[1,2,3],
"SDB":[1,2,3,4,5,6],
"DS":[1,2],
"HML":[1,2,3,4,5,6],
"SF":[1,2,3,4,5,6],
"TRNF":[1,2,3,4,5],
"SHW":[1,2],
"PKB":[1,2,3,4,5,6],
"SsC":[1,2,3,4,5,6],
"B":[1,2,3,4,5],
"SR":[1,2,3,4,5,6],
"AoS":[1,2,3,4,5,6],
"O11":[1,2,3,4,5,6],
"SB":[1,2,3,4,5,6],
"MOR":[1,2],
"GTH":[1,2,3,4,5,6,7,8,9,10],
"SG":[1,2,3,4,5,6]
};

var rateable = {


};

var itemspossible = [];

function shuffle(array) {
  var i = array.length;
  var t, r;

  while (0 !== i) {
    r = Math.floor(Math.random() * i);
    i -= 1;
    t = array[i];
    array[i] = array[r];
    array[r] = t;
  }

  return array;
}

function continue_intro()
{
    
    var poolconfig = 5; //Math.floor(Math.random() * 6);

    rateable = everythingpool; // DEFAULT EVERYTHING

    if(poolconfig == 0)
    {
        rateable = pool1;
    }
    if(poolconfig == 1)
    {
        rateable = pool2;
    }
    if(poolconfig == 2)
    {
        rateable = pool3;
    }
    if(poolconfig == 3)
    {
        rateable = pool4;
    }
    if(poolconfig == 4)
    {
        rateable = everythingpool;
    }
    if(poolconfig == 5)
    {
        rateable = pool10;
    }

    document.getElementById('poolconfig').value = 1000+poolconfig;

	var x = document.getElementById('intro_page'); 
	x.style.display='none'; 

	var y = document.getElementById('univ_select_page'); 
	y.style.display='block';

	var wl = document.getElementById("work_list");

	var i = 0;

	var keys = shuffle(Object.keys(rateable));

    keys = keys.slice(0,22);

	for(var i = 0; i < keys.length; i++)
	{
		wl.innerHTML += '<label><input class="universe_select_option" type="checkbox" value="'+keys[i]+'" /> '+subjects[keys[i]]["name"] + '</label><br/>';
	}
}

var paireditems = [];

function universes_selected()
{
	var univs = document.getElementsByClassName("universe_select_option");


	var selected = [];
	var canDo = [];
	for(var i = 0; i < univs.length; i++)
	{
		selected.push([univs[i].value,univs[i].checked ? 1 : 0]);

		if(univs[i].checked)
		{
			var univ_n = univs[i].value;
            shuffle(rateable[univ_n]);

            for(var i2 = 0; i2 < rateable[univ_n].length; i2++)
            {
                canDo.push([univ_n, rateable[univ_n][i2]]);
            }	
    	}
	}

    document.getElementById("universes_list").value = JSON.stringify(selected);

	if(canDo.length < 2)
	{
		var cp = document.getElementById('univ_select_page'); 
		cp.style.display='none'; 
		
		var np = document.getElementById('survey_end'); 
		np.style.display='block';
	}
	else
	{	
        for(var i = 0; i < Math.floor(canDo.length/2) && i < 20; i++)
        {
            paireditems.push([canDo[i],canDo[canDo.length-i-1]]);
        }
        shuffle(paireditems);
		loadq();
		var cp = document.getElementById('univ_select_page'); 
		cp.style.display='none'; 
		
		var np = document.getElementById('char_rate_page'); 
		np.style.display='block';
	}

}


var progress = 0;


var basetime = 0;

var char1;
var char2;

function loadq()
{
    var ansb = document.getElementsByName("Q");

    for(var i = 0; i < ansb.length; i++)
    {
        ansb[i].checked=false;
    }

	document.getElementById("cpic1").src = "https://openpsychometrics.org/tests/characters/test-resources/pics/"+subjects[paireditems[progress][0][0]][paireditems[progress][0][1]][1];

	document.getElementById("cpic2").src = "https://openpsychometrics.org/tests/characters/test-resources/pics/"+subjects[paireditems[progress][1][0]][paireditems[progress][1][1]][1];



	document.getElementById("cname1").innerHTML = subjects[paireditems[progress][0][0]][paireditems[progress][0][1]][0]
                                                + "<br/>"
                                                + "<small>("+subjects[paireditems[progress][0][0]]["name"]+")</small>";
	document.getElementById("cname2").innerHTML = subjects[paireditems[progress][1][0]][paireditems[progress][1][1]][0]
                                                + "<br/>"
                                                + "<small>("+subjects[paireditems[progress][1][0]]["name"]+")</small>";

    char1 = paireditems[progress][0][0] + "/" + paireditems[progress][0][1];
    char2 = paireditems[progress][1][0] + "/" + paireditems[progress][1][1];

	basetime = new Date();
    document.getElementById("progsign").innerHTML = (1+progress)+" / "+paireditems.length;
}

var testdata = [];

function nextq()
{
    progress++;

    var ansb = document.getElementsByName("Q");

    var ansv = 0;

    for(var i = 0; i < ansb.length; i++)
    {
       if(ansb[i].checked)
        {
            ansv = parseInt(ansb[i].value);
        }
    }

    var elapse = new Date() - basetime;

    testdata.push([char1,char2,ansv,elapse]);

    if(progress>=paireditems.length)
    {
        document.getElementById("surveytestdata").value = JSON.stringify(testdata);

        document.getElementById("survey_end").style.display = "block";
        document.getElementById("char_rate_page").style.display = "none";
    }
    else
    {
        loadq();
    }
}

function rate_done()
{
		var cp = document.getElementById('rate_end'); 
		cp.style.display='none'; 
		
		var np = document.getElementById('survey_end'); 
		np.style.display='block';
}

</script>


<style type="text/css">

.ans_button
{
	border:2px solid #DEB887;
	background-color:#FFF8DC;
	max-width:500px;
	display:block;
	padding:5px;
	
	
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently */
}

.ans_button:hover
{
	background-color:#EFE8CC;
}

.slidecontainer {
  width: 100%;
}

.slider {
  -webkit-appearance: none;
  width: 100%;
  height: 25px;
  background: #d3d3d3;
  outline: none;
  opacity: 0.7;
  -webkit-transition: .2s;
  transition: opacity .2s;
}

.slider:hover {
  opacity: 1;
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 25px;
  height: 25px;
  background: #4CAF50;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 25px;
  height: 25px;
  background: #4CAF50;
  cursor: pointer;
}

.ans_button
{
	border:2px solid #DEB887;
	background-color:#FFF8DC;
	max-width:500px;
	display:block;
	padding:1px;
	
	
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
     -khtml-user-select: none; /* Konqueror HTML */
       -moz-user-select: none; /* Firefox */
        -ms-user-select: none; /* Internet Explorer/Edge */
            user-select: none; /* Non-prefixed version, currently */
}

</style>
		
		<div id="intro_page">
		
		<p>Thank you for agreeing to complete the optional survey! It should take 3-5 minutes to complete.</p>
		
		<p>Your responses to this survey will be used to improve this test, but will not affect your results. Your answers will be anonymous because no information that could be reasonably used to identify you will be collected.</p>

		<p>If you do not wish to complete this survey, you may (1) skip through it to your results, (2) use the back button on your browser to the previous page and then choose the option to continue to you results from there.</p>

		<input type="button" value="Continue" onclick="javascript:continue_intro();">
		
		</div>


		<div style="margin:0 auto;max-width:650px;display:none;" id="univ_select_page">
		
		<p>Select any of the works of fiction in the list below that you know enough about to confidently rate the personality of characters from them.</p>

		<div id="work_list" style="padding-left:2em;">

		</div>

		<p>You will be given characters from the universes you selected to compare.</p>
	
		<input type="button" value="Continue" onclick="universes_selected()" />

		</div>


		<div id="char_rate_page" style="margin:0 auto;max-width:500px;display:none;">

        How similar are these two characters in terms of their personalities?<br/>
        <table width="100%">
        <tr>
            <td>
                <img src="" id="cpic1" />
                <br/>
                <span id="cname1"></span>
            </td>
            <td>
                <img src="" id="cpic2" />
                <br/>
                <span id="cname2"></span>
            </td>
        </tr>
        </table>        
		
        <table style="width:100%;">

<tr>
<td colspan="2">
	<label class="ans_button"> <input type="radio" name="Q" value="1" id="A1">&nbsp;Extremely similar </label>
</td>
</tr>
<tr>
<td colspan="2">
	<label class="ans_button"> <input type="radio" name="Q" value="2" id="A1">&nbsp;Similar </label>
</td>
</tr>
<tr>
<td colspan="2">
	<label class="ans_button"> <input type="radio" name="Q" value="3" id="A2">&nbsp;Slightly similar </label>
</td>
</tr>
<tr>
<td colspan="2">
	<label class="ans_button"> <input type="radio" name="Q" value="4" id="A3">&nbsp;Slightly different </label>
</td>
</tr>
<tr>
<td colspan="2">
	<label class="ans_button"> <input type="radio" name="Q" value="5" id="A4">&nbsp;Different </label>
</td>
</tr>
<tr>
<td colspan="2">
	<label class="ans_button"> <input type="radio" name="Q" value="6" id="A4">&nbsp;Extremely different </label>
</td>
</tr>
<tr>
<td colspan="2">
	<label class="ans_button"> <input type="radio" name="Q" value="-1" id="A5">&nbsp;Don't know / Skip </label>
</td>
</tr>

<tr>
<td>
    <span id="progsign">1 / 25</span>
    <input style="float:right;font-size:175%;" type="button" value="Next" onclick="nextq();" />
</td>
</tr>


</table>

		</div>
		
		<div id="survey_end" style="display:none;">

		What is your age in years?<br/>
		<input type="text" size="4" name="supl_age" />
		<br/><br/>
		Is English your native language?<br/>
		<input id="natlang1" type="radio" value="1" name="supl_natlang" /> <label for="natlang1">Yes</label><br/>	
		<input id="natlang2" type="radio" value="2" name="supl_natlang" /> <label for="natlang2">No</label>
		<br/><br/>
		What is your gender?<br/>
		<select name="supl_gender">
		<option value="0"></option>
		<option value="1">Male</option>
		<option value="2">Female</option>
		<option value="3">Other</option>
		</select>
		<br/>
        <br/>
		What is your current occupation or way of life (e.g. 'truck driver', 'lawyer', 'student', 'homemaker', 'unemployed', 'travelling', 'imprisoned', etc.)?<br/>
		<input type="text" name="occupation" />
		<br/><br/>
		Can we use the answers you have just given for our research (and did you answer these questions accurately / as best you could)?<br/>
		<input id="srv_accuracy1" type="radio" value="1" name="survey_accurate" /> <label for="srv_accuracy1">Yes.</label><br/>	
		<input id="srv_accuracy2" type="radio" value="2" name="survey_accurate" /> <label for="srv_accuracy2">No.</label><br/>	
		<br/>
		<input type="submit" value="Get results">
		<br/><br/>
		</div>

	<input type="hidden" name="poolconfig" id="poolconfig" />
	<input type="hidden" name="universes" id="universes_list" />
	<input type="hidden" id="surveytestdata" name="surveytestdata" value="" />

SURVEYHTML;

	}

	function ProcessSubmit($conn)
	{
		$data = array();
		$data["surveydata"] = $_POST['surveytestdata']; 
		$data["unqid"] = $_POST["unqid"];
		$data["age"] = (int) $_POST["supl_age"];
		$data["engnat"] = (int) $_POST["supl_natlang"];
		$data["gender"] = (int) $_POST["supl_gender"];
		$data["accurate"] = (int) $_POST["survey_accurate"];
		$data["submittime"] = "".date( 'Y-m-d H:i:s', time() );

		$data["occupation"] = $_POST["occupation"];
		$data["universes"] = $_POST["universes"];
		$data["poolconfig"] = (int) $_POST["poolconfig"];

		$data["elapse"] = time() - (int) $_POST["seconds"];

		$keys = array_keys($data);
		$query = "INSERT INTO characters_surveyPaired (".implode(",",$keys).") VALUES(:".implode(",:",$keys).");";

		$stmt= $conn->prepare($query);
		$stmt->execute($data);
	

	}
	
}

?>
